HDP(1)

NAME
hdp - display general information about the contents of an HDF file

SYNOPSIS

hdp [-H command] hdf-file

DESCRIPTION
hdp provides quick and general information about all objects in the specified HDF file. It can list the contents of HDF files at various levels with different details. It can also dump the data of one or more specific objects in the file.

Like hdfed, hdp provides a set of commands that allow the user to determine what kind of information is to be displayed. The commands are documented in /usr/share/doc/libhdf4g/html-userguide/Utils14.html.

OPTIONS

-H [command]
    Display usage information about the specified command. If no command is listed, information about all commands is displayed.

COMMANDS

list
    Displays the contents of the HDF files in the specified format.

dumpsds
    Displays the contents of the SDSs in the listed files.

dumpvd
    Displays the contents of the vdata objects in the listed files.

dumpvg
    Displays the contents of the vgroup objects in the listed files.

dumprig
    Displays the contents of the RIGs in the listed files.

COMMAND DETAILS
list displays the contents of the HDF files in the specified format. As with the 'info' command, the listing for special elements will contain a special tag value (for DFTAG_VS it's 18347) and the text "Unknown Tag". The list command has the following syntax:

list [-s|-l|-d] [-n|-c|-a] [-g|-t number-or-name] [-ot|-of|-og|-on] message

The list command accepts these options:

-s  Short format.

-l  Long format.

-d  Debug format.

-n  Display the object name.

-c  Display the object class.

-a  Display the object description.

-g  Display groups only.

-t number-or-name
    Display objects with the specified tag number or name.

-ot Sort by tag.

-of Sort by position in the data descriptor list.

-og Sort by group.

-on Sort by name.

dumpsds displays SDS information in the specified format. The dumpsds command has the following syntax:

dumpsds [-i index | -r ref-list | -n name-list | -a] [-v|-h|-d] [-o filename | -b | -t]

dumpsds accepts these options:

-i index
    Dump SDSs with the specified index.

-r ref-list
    Dump SDSs with the specified reference numbers.

-n name-list
    Dump SDSs with the specified names.

-a  Dump all SDSs.

-v  Display all SDS contents including annotations.

-h  Display the SDS header only.

-d  Display the SDS data only.

-o outfile
    Print information to the specified file.

-b  Specify output file as binary.

-t  Specify output file as text.

dumpvd displays vdata information in the specified format. The dumpvd command has this syntax:

dumpvd [-i index | -r ref-list | -n name-list | -c class | [-a] [-v|-h|-f|-d] [-o filename | -b | -t]

dumpvd accepts these options:

-i index
    Dump vdatas with the specified index.

-r ref-list
    Dump vdatas with the specified reference numbers.

-c class
    Dump vdatas with the specified class.

-n name-list
    Dump vdatas with the specified names.

-a  Dump all vdatas.

-v  Display all vdata contents including annotations.

-h  Display the vdata header only.

-d  Display the vdata data only.

-f  Display the vdata field data only.

-o outfile
    Print information to the specified file.

-b  Specify output file as binary.

-t  Specify output file as text.

dumpvg displays vgroup information in the specified format. dumpvg command has this syntax:

dumpvg [-i index | -r ref-list | -n name-list | -c class | [-a] [-v|-h|-d] [-o filename | -b | -t]

dumpvg accepts these options:

-i index
    Dump vgroups with the specified index.

-r ref-list
    Dump vgroups with the specified reference numbers.

-c class
    Dump vgroups with the specified class.

-n name-list
    Dump vgroups with the specified names.

-a  Dump all vgroups.

-v  Display all vgroup contents including annotations.

-h  Display the vgroup header only.

-d  Display the vgroup data only.

-o outfile
    Print information to the specified file.

-b  Specify output file as binary.

-t  Specify output file as text.

dumprig displays RIG information in the specified format. dumprig command has this syntax:

dumprig [-i index | -r ref-list | -m <8, 24> | [-a] [-v|-h|-d] [-o filename | -b | -t]

dumprig accepts these options:

-i index
    Dump RIGs with the specified index.

-r ref-list
    Dump RIGs with the specified reference numbers.

-m data-length
    Dump RIGs with the specified data length: 8- or 24-bit.

-a  Dump all RIGs.

-v  Display RIG contents including annotations.

-h  Display the RIG header only.

-d  Display the RIG data only.

-o outfile
    Print information to the specified file.

-b  Specify output file as binary.

-t  Specify output file as text.

SEE ALSO
hdfed(1), hdf(5), /usr/share/doc/libhdf4g/html-userguide/Utils14.html.